# Set QStash Plan

> Changes the QStash account to a different plan type.
This operation changes the plan and associated limits for the QStash account.


`POST /qstash/set-plan/{id}`

## OpenAPI

````yaml devops/developer-api/openapi.yml post /qstash/set-plan/{id}
openapi: 3.0.4
info:
  title: Developer API - Upstash
  description: This is a documentation to specify Developer API endpoints based on
    the OpenAPI 3.0 specification.
  contact:
    name: Support Team
    email: support@upstash.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.upstash.com/v2
tags:
  - name: redis
    description: Manage redis databases.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: teams
    description: Manage teams and team members.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: vector
    description: Manage vector indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: search
    description: Manage search indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: qstash
    description: Manage QStash.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
paths:
  /qstash/set-plan/{id}:
    post:
      summary: Set QStash Plan
      description: >
        Changes the QStash account to a different plan type.

        This operation changes the plan and associated limits for the QStash
        account.
      operationId: setQStashPlan
      tags:
        - qstash
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: QStash user ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - plan_name
              properties:
                plan_name:
                  type: string
                  description: Target plan to upgrade to
                  enum:
                    - paid
                    - qstash_fixed_1m
                    - qstash_fixed_10m
                    - qstash_fixed_100m
                  example: paid
      responses:
        "200":
          description: QStash plan changed successfully
          content:
            application/json:
              schema:
                type: string
                example: OK
      security:
        - basicAuth: []
````
